Name:           gnome-logs
Version:        3.36.0
Release:        1
Summary:        Log viewer for the systemd journal
License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/Logs
Source0:        https://download.gnome.org/sources/%{name}/3.36/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils docbook-dtds docbook-style-xsl gcc intltool libxslt
BuildRequires:  pkgconfig(gtk+-3.0) pkgconfig(libsystemd) libappstream-glib itstool meson
Requires:       gsettings-desktop-schemas

%description
A log viewer for the systemd journal.

%package help
Summary:   Introduce how to use gnome-logs

%description help
User's Manual for gnome-logs

%prep
%autosetup -p1


%build
%meson -Dman=true
%meson_build


%install
%meson_install
%find_lang %{name} --with-gnome


%check
%meson_test


%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/org.gnome.Logs.desktop
%{_datadir}/dbus-1/services/org.gnome.Logs.service
%{_datadir}/glib-2.0/schemas/org.gnome.Logs.*.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Logs.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Logs-symbolic.svg
%{_datadir}/metainfo/org.gnome.Logs.appdata.xml

%files help
%doc AUTHORS README NEWS
%{_mandir}/man1/gnome-logs.1*


%changelog
* Tue Jun 22 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.36.0-1
- Upgrade to 3.36.0
- Use meson rebuild

* Wed Dec 11 2019 yangjian<yangjian79@huawei.com> - 3.30.0-2
- Package init

* Fri Jan 18 2019 zhangcheng <zhangcheng89@huawei.com> - 3.30.0-1.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add buildRequires of itstool for spec
